Generation Framework

## org.eclipse.gmf.tooldef
Enum StandardToolKind

    java.lang.Object
      java.lang.Enum<StandardToolKind>
          org.eclipse.gmf.tooldef.StandardToolKind

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<StandardToolKind>, org.eclipse.emf.common.util.Enumerator

    public enum StandardToolKind

extends java.lang.Enum<StandardToolKind>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Standard Tool Kind', and utility methods for working with them.

See Also:
  `GMFToolPackage.getStandardToolKind()`
** Generated **
Model:

Enum Constant Summary
`MARQUEE_LITERAL` The 'MARQUEE' literal object
`SELECT_LITERAL` The 'SELECT' literal object
`SELECT_PAN_LITERAL` The 'SELECT PAN' literal object
`ZOOM_IN_LITERAL` The 'ZOOM IN' literal object
`ZOOM_OUT_LITERAL` The 'ZOOM OUT' literal object
`ZOOM_PAN_LITERAL` The 'ZOOM PAN' literal object

Field Summary
`static int` `MARQUEE` The 'MARQUEE' literal value
`static int` `SELECT` The 'SELECT' literal value
`static int` `SELECT_PAN` The 'SELECT PAN' literal value
`static java.util.List<StandardToolKind>` `VALUES` A public read-only list of all the 'Standard Tool Kind' enumerators
`static int` `ZOOM_IN` The 'ZOOM IN' literal value
`static int` `ZOOM_OUT` The 'ZOOM OUT' literal value
`static int` `ZOOM_PAN` The 'ZOOM PAN' literal value

Method Summary
`static StandardToolKind` `get(int value)` Returns the 'Standard Tool Kind' literal with the specified integer value
`static StandardToolKind` `get(java.lang.String literal)` Returns the 'Standard Tool Kind' literal with the specified literal value
`static StandardToolKind` `getByName(java.lang.String name)` Returns the 'Standard Tool Kind' literal with the specified name
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static StandardToolKind` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static StandardToolKind[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SELECT_LITERAL

    public static final StandardToolKind SELECT_LITERAL

  The 'SELECT' literal object.

  See Also:
    `SELECT`
  ** Generated **
  Ordered:

### SELECT_PAN_LITERAL

    public static final StandardToolKind SELECT_PAN_LITERAL

  The 'SELECT PAN' literal object.

  See Also:
    `SELECT_PAN`
  ** Generated **
  Ordered:

### MARQUEE_LITERAL

    public static final StandardToolKind MARQUEE_LITERAL

  The 'MARQUEE' literal object.

  See Also:
    `MARQUEE`
  ** Generated **
  Ordered:

### ZOOM_PAN_LITERAL

    public static final StandardToolKind ZOOM_PAN_LITERAL

  The 'ZOOM PAN' literal object.

  See Also:
    `ZOOM_PAN`
  ** Generated **
  Ordered:

### ZOOM_IN_LITERAL

    public static final StandardToolKind ZOOM_IN_LITERAL

  The 'ZOOM IN' literal object.

  See Also:
    `ZOOM_IN`
  ** Generated **
  Ordered:

### ZOOM_OUT_LITERAL

    public static final StandardToolKind ZOOM_OUT_LITERAL

  The 'ZOOM OUT' literal object.

  See Also:
    `ZOOM_OUT`
  ** Generated **
  Ordered:

Field Detail

### SELECT

    public static final int SELECT

  The 'SELECT' literal value.

  If the meaning of 'SELECT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SELECT_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### SELECT_PAN

    public static final int SELECT_PAN

  The 'SELECT PAN' literal value.

  If the meaning of 'SELECT PAN' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SELECT_PAN_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### MARQUEE

    public static final int MARQUEE

  The 'MARQUEE' literal value.

  If the meaning of 'MARQUEE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `MARQUEE_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### ZOOM_PAN

    public static final int ZOOM_PAN

  The 'ZOOM PAN' literal value.

  If the meaning of 'ZOOM PAN' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ZOOM_PAN_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### ZOOM_IN

    public static final int ZOOM_IN

  The 'ZOOM IN' literal value.

  If the meaning of 'ZOOM IN' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ZOOM_IN_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### ZOOM_OUT

    public static final int ZOOM_OUT

  The 'ZOOM OUT' literal value.

  If the meaning of 'ZOOM OUT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ZOOM_OUT_LITERAL`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### VALUES

    public static final java.util.List<StandardToolKind> VALUES

  A public read-only list of all the 'Standard Tool Kind' enumerators.

  ** Generated **

Method Detail

### values

    public static StandardToolKind[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (StandardToolKind c : StandardToolKind.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static StandardToolKind valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### get

    public static StandardToolKind get(java.lang.String literal)

  Returns the 'Standard Tool Kind' literal with the specified literal value.

  ** Generated **

### getByName

    public static StandardToolKind getByName(java.lang.String name)

  Returns the 'Standard Tool Kind' literal with the specified name.

  ** Generated **

### get

    public static StandardToolKind get(int value)

  Returns the 'Standard Tool Kind' literal with the specified integer value.

  ** Generated **

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<StandardToolKind>`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.